Bug 299738 - Copy link as text
Summary: Copy link as text
Status: RESOLVED FIXED
Alias: None
Product: kwebkitpart
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: webkit-devel
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-10 12:09 UTC by karaluh
Modified: 2012-09-05 21:40 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 1.3.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description karaluh 2012-05-10 12:09:18 UTC
Please provide context menu option to copy to clipboard link name. Currently it's possible to only copy the url. To copy the hyperlink's name you have to play with manual selection, which is pain in the ass. You often end up clicking the link or copying more than desired.

Reproducible: Always

Steps to Reproduce:
1. Click right mouse button on anu hyperlink
2.
3.
Actual Results:  
No option to copy hyperlink name to clipboard

Expected Results:  
An option to copy hyperlink name to clipboard
Comment 1 Dawit Alemayehu 2012-05-13 05:36:36 UTC
Git commit bbc1b87eb33286243c6b428039b57c969a2cb221 by Dawit Alemayehu.
Committed on 13/05/2012 at 00:43.
Pushed by adawit into branch 'master'.

Added support for copying the link text without having to select it first.
FIXED-IN: future release

M  +9    -0    src/kwebkitpart_ext.cpp
M  +1    -0    src/kwebkitpart_ext.h
M  +9    -1    src/webview.cpp

http://commits.kde.org/kwebkitpart/bbc1b87eb33286243c6b428039b57c969a2cb221